//
// C++ Interface: %{MODULE}
//
// Description: 
//
//
// Author: Roie Kerstein <sf_kersteinroie@bezeqint.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef ADDBOOKMARKSPREFERENCES_H
#define ADDBOOKMARKSPREFERENCES_H

#include <tdecmodule.h>
#include "addbookmarksprefssettings.h"
#include "addbookmarksprefsui.h"

/**
@author Roie Kerstein <sf_kersteinroie@bezeqint.net>
*/
class BookmarksPreferences : public TDECModule
{
Q_OBJECT
  
public:
    BookmarksPreferences(TQWidget *parent = 0, const char *name = 0, const TQStringList &args = TQStringList());

    ~BookmarksPreferences();
    
    virtual void load();
    virtual void save();
    
signals:
    void PreferencesChanged();
    
private:
    BookmarksPrefsUI *p_dialog;
    BookmarksPrefsSettings m_settings;

private slots:
    void slotSetStatusChanged();
    void slotAddUntrustedChanged();
};

#endif
